#include "Wall.h"

// constructor
Wall::Wall( DisplayInterface &d, int x, int y ) : Object( 0 )
{
	d.DrawSprite( x, y, SPRITE_WALL);
}

// returns object identity
int Wall::identify( )
{
	return wall_id;
}

// takes a turn to act in the world
bool Wall::act( DisplayInterface &d, World *w, int x, int y, int time )
{
	return true;
}

// disappears from the world
void Wall::die( DisplayInterface &d, World *w, int x, int y ) { }

// shows the object at its spot in the world
void Wall::show( DisplayInterface &d, World *w, int x, int y )
{
	d.DrawSprite( x, y, SPRITE_WALL);
}